URL Variablen
| Name | Beschreibung |
|---|---|
| internal_id | internal_id des Servers, abrufbar über den /api/account/services Endpunkt, oder in URL der Verwaltung des Servers im Control Panel ersichtlich |
Response (application/json)
{
"status": "success",
"message": "VM config retrieved successfully",
"data": {
"identifier": 30075,
"hostsystem": {
"datacenter": {
"name": "SkyLink Data Center BV",
"country": "Niederlande",
"city": "Eygelshoven"
},
"name": "nl_xeon",
"node": "XEON 09",
"processor": "Intel(R) Xeon(R) CPU E5-2690 v2 @ 3.00GHz",
"memory": "DDR3 Synchronous Registered (Buffered) 1600 MHz",
"nvme_hard_drives": "Samsung SSD PM9A3"
},
"config": {
"cores": 10,
"mem": 2048,
"disk": 10,
"os": {
"name": "debian_11",
"displayname": "Debian 11"
},
"iso": {
"name": "proxmox_8",
"displayname": "Proxmox 8",
"attached": true
},
"username": "root",
"password": "c&zp3!VFsrW3",
"hostname": "KVM",
"network_speed": 1000,
"backup_slots": 2,
"ipv4": [
{
"ip_address": "88.151.194.252",
"ip_gateway": "88.151.194.1",
"ddos_protection": "combahton",
"rdns": "24fire.de"
},
{
"ip_address": "88.151.194.253",
"ip_gateway": "88.151.194.1",
"ddos_protection": "combahton",
"rdns": "24fire.de"
}
],
"ipv6": [
{
"ip_address": "2a12:8641:0007:48f5::\/64",
"ip_gateway": "2a12:8641:7::1"
}
],
"monitoring": {
"enabled": true,
"port": 22
}
},
"max_config": {
"cores": 12,
"mem": 65536,
"disk": 300,
"network_speed": 3000,
"backup_slots": 10,
"ipv4": 6
},
"abuse_status": "CLEAN"
}
}
Response Enums
| Response Parameter | Beschreibung |
|---|---|
| abuse_status | Status der VM in Bezug auf Abuses |
cURL
curl "https://manage.24fire.de/api/kvm/:internal_id/config" -X GET -H "Content-Type: application/x-www-form-urlencoded" -H "X-Fire-Apikey: [Dein API-Key]"
Anfrage testen